Bug 237972 - Mk/Uses/ssl.mk: "options helpers are incorrectly set" for OPENSSL_LDFLAGS
Summary: Mk/Uses/ssl.mk: "options helpers are incorrectly set" for OPENSSL_LDFLAGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-18 18:25 UTC by John Hein
Modified: 2019-06-11 11:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
[patch] fix developer sanity check when USES=ssl (546 bytes, text/plain)
2019-05-18 18:25 UTC, John Hein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2019-05-18 18:25:11 UTC
Created attachment 204456 [details]
[patch] fix developer sanity check when USES=ssl

After bsd.sanity.mk added a check for "incorrectly set options helpers" (approx Apr 18), some ports started failing check-sanity if DEVELOPER=yes.

You can see this with at least devel/gsoap and net/libvncserver.

example:

==========================================
% make DEVELOPER=yes check-sanity
/!\ gsoap-2.8.83: Makefile errors /!\

The following options helpers are incorrectly set after bsd.port.options.mk
and are ineffective: OPENSSL_LDFLAGS

*** Error code 1

Stop.
make: stopped in /usr/ports/devel/gsoap
==========================================

I think the fix is to change Uses/ssl.mk to specify LDFLAGS instead of OPENSSL_LDFLAGS.  Attached.
Comment 1 John Hein 2019-05-18 18:43:27 UTC
CC tobik@ who made the sanity check change.
Comment 2 Tobias Kortkamp freebsd_committer 2019-05-18 22:31:43 UTC
This no longer happens since OPENSSL_LDFLAGS is already whitelisted
since ports r499267.
Comment 3 Tobias Kortkamp freebsd_committer 2019-05-18 22:32:28 UTC
(In reply to Tobias Kortkamp from comment #2)
> This no longer happens since OPENSSL_LDFLAGS is already whitelisted
> since ports r499267.

Sorry I meant ports r501786.
Comment 4 John Hein 2019-05-19 06:28:46 UTC
(In reply to Tobias Kortkamp from comment #3)
Ok, thanks for that information.

It seems better to just use LDFLAGS in Uses/ssl.mk than to whitelist OPENSSL_LDFLAGS (which could mask a real mistake).
Comment 5 Muhammad Moinur Rahman freebsd_committer 2019-06-11 11:10:49 UTC
Fixed at ports r501786